

#ifndef __IMAGER_PROCESSM_H__
#define __IMAGER_PROCESSM_H__

#include "defs.h"


void invert_image (image_type* img);
void do_thresholding ();
void threshold_segment (image_type* img);
void do_thresholding2 (float l, float u, int slice);
void dual_threshold (image_type* img);
float threshold_iterative (image_type* img, int zslice);
float otsus_threshold (image_type* img, int zslice, int mkgraph);
void do_thresholding_universal (image_type* img, int zslice, int what, int interactive);
void clamp_image (image_type *img, float thresh);
void cycle_image (image_type *img, int xcycle, int ycycle, int slice);
void execute_trim_image (image_type* img, int offs, double fmin, double fmax, int shift, int mask);
void trim_data (image_type *img);
int do_crop (image_type* img, int x1, int y1, int x2, int y2);
void crop_main ();
void histeq (image_type* img, int numbins, int oorflg);
void histeq_main ();
void dataconv_execute (image_type* img, TYPE_SELECTOR targettype, char dataconv_expand);
void dataconv_expand_rgb (image_type* img);
void dataconv_main ();


#endif
