



#ifndef __IMAGER_ROI_H__
#define __IMAGER_ROI_H__

#include "defs.h"

roi_type current_roi;
gint roi_timer_handle;
int roicnt;
char watchdogflag;

void roi_drag_rectangle  (int x1, int y1, int x2, int y2);
void roi_erase_rectangle ();
void roi_drag_roi  (int ofs_x1, int ofs_y1);
void roi_drag_vertex  (int vertexno, int ofs_x1, int ofs_y1);
void roi_erase_roi ();
void roi_offset_roi (int x, int y);
void roi_offset_vertex (int vertexno, int x, int y);
void kill_roi ();
void roi_set_rectangular (int x1, int y1, int x2, int y2);
void roi_add_vertex (int x1, int y1);
void roi_close_polygon (int convert);
char roi_is_closed_polygon ();
void roi_set_circular_roi (int xc, int yc, int radius);
int roi_is_near_vertex (int xmouse, int ymouse);
gboolean roi_marchingants (gpointer data);
char in_roi (int x, int y);
void roi_imgxy (int* x, int* y);
void roi_bbox (image_type* img, int* bx1, int* by1, int* bx2, int* by2);
void dump_roi ();

char dragroi_ini;



#endif
